
%This programs searches for weights for one of the states at t+1 such that
%finite dependence can be achived at t+3. It does this by solving the
%inversion at t+2 for some of the states (thereby lining up the distribution of these states 
%at t+3 across the two paths) and showing, that, with the right
%weights at t+1, the remaining t+3 states are also lined up given the t+2
%weights

function like=likelag2(bb,rhs1,inv1,K22,K11,F1b,F11,F12,F22,F21,inv2,BF11,BF12,BF22,FF12,FF21)
global sol sol2 j1 j2 

sol=inv1*(rhs1-F1b*bb*K22(1))./[K22(2);K11];


sol=[bb 1-bb;sol 1-sol];

temptrans=[F22'*(sol(1:2,1).*K22) F12'*(sol(1:2,2).*K22) F21'*(sol(3:4,1).*K11) F11'*(sol(3:4,2).*K11)];

temptrans2=[sum(temptrans(:,1:2),2) sum(temptrans(:,3:4),2)];

BK22=[temptrans2(2,1);temptrans2(5,1);temptrans2(8,1)];
BK11=[temptrans2(2,2);temptrans2(5,2);temptrans2(8,2)];

BFK22=[temptrans2(3,1);temptrans2(6,1);temptrans2(9,1)];
BFK11=[temptrans2(1,2);temptrans2(4,2);temptrans2(7,2)];


rhs2=[BF11;-BF12]'*[BK11;BK22]-FF12'*BFK22+FF21'*BFK11;
rhs22=[rhs2(2);rhs2(4);rhs2(8)];

sol2=inv2*rhs22./BK22;

j1=BF11'*BK11+FF21'*BFK11;
j2=BF22'*(sol2.*BK22)+BF12'*((1-sol2).*BK22)+FF12'*BFK22;

like=sum((j1-j2).^2);

